/** @file: mydsc_error.h
    @author Gastón H. Salazar-Silva <gaston_salazar@yahoo.com>
    
    @brief A very basic error reporting system.
**/

#ifndef MYDSC_ERROR_H
#define MYDSC_ERROR_H

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif


/// Error conditions on looking-up a key, or trying to setting the value.

typedef enum {
    MYDSC_SUCCESS,
    MYDSC_KVP_NO_SET,
    MYDSC_KVP_NO_KEY,
    MYDSC_KVP_WRONG_VALUE
} mydsc_errno_t;

extern mydsc_errno_t mydsc_errno;

extern char *mydsc_error[];

#ifdef __cplusplus
}
#endif

#endif // MYDSC_ERROR_H
